# Uses of Interface
org.eclipse.ecf.discovery.IServiceTypeEvent

Packages that use IServiceTypeEvent
Package
Description
org.eclipse.ecf.discovery

## Uses of IServiceTypeEvent in org.eclipse.ecf.discovery

Classes in org.eclipse.ecf.discovery that implement IServiceTypeEvent
Modifier and Type
Class
Description
`class`
`ServiceTypeContainerEvent`
Base event implementation of `IServiceEvent`.
Methods in org.eclipse.ecf.discovery with parameters of type IServiceTypeEvent
Modifier and Type
Method
Description
`protected void`
AbstractDiscoveryContainerAdapter.`fireServiceTypeDiscovered(IServiceTypeEvent aServiceTypeEvent)`
Calls `IServiceTypeListener.serviceTypeDiscovered(IServiceTypeEvent)` for all registered `IServiceTypeListener`
`void`
IServiceTypeListener.`serviceTypeDiscovered(IServiceTypeEvent event)`
Notification that a service type has been discovered